aboutsummaryrefslogtreecommitdiff
path: root/package
diff options
context:
space:
mode:
authorGravatar Eric Andersen <andersen@codepoet.org>2005-04-21 17:36:04 +0000
committerGravatar Eric Andersen <andersen@codepoet.org>2005-04-21 17:36:04 +0000
commit07064c0978b78356bf74408c216f524881df3362 (patch)
treed245a8d3ae74ffbf9beefa6eab00c163dfe82674 /package
parent74ad4e12c8182e70ec0eed7e029f6d70163a6a01 (diff)
downloadbuildroot-07064c0978b78356bf74408c216f524881df3362.tar.gz
buildroot-07064c0978b78356bf74408c216f524881df3362.tar.bz2
Update init scripts a bit. Don't mess with /etc/default for now.
Diffstat (limited to 'package')
-rw-r--r--package/dhcp/default-relay12
-rw-r--r--package/dhcp/default-server7
-rwxr-xr-xpackage/dhcp/init-relay25
-rwxr-xr-xpackage/dhcp/init-server22
-rw-r--r--package/tftpd/default-tftpd3
-rwxr-xr-xpackage/tftpd/init-tftpd22
6 files changed, 44 insertions, 47 deletions
diff --git a/package/dhcp/default-relay b/package/dhcp/default-relay
deleted file mode 100644
index 59249db283..0000000000
--- a/package/dhcp/default-relay
+++ /dev/null
@@ -1,12 +0,0 @@
-# Defaults for dhcp-relay initscript
-# sourced by /etc/init.d/dhcp-relay
-
-# What servers should the DHCP relay forward requests to?
-# e.g: SERVERS="192.168.0.1"
-SERVERS=""
-
-# On what interfaces should the DHCP relay (dhrelay) serve DHCP requests?
-INTERFACES=""
-
-# Additional options that are passed to the DHCP relay daemon?
-OPTIONS="" \ No newline at end of file
diff --git a/package/dhcp/default-server b/package/dhcp/default-server
deleted file mode 100644
index 0385d16992..0000000000
--- a/package/dhcp/default-server
+++ /dev/null
@@ -1,7 +0,0 @@
-# Defaults for dhcp initscript
-# sourced by /etc/init.d/dhcp-server
-# installed at /etc/default/dhcp-server by the maintainer scripts
-
-# On what interfaces should the DHCP server (dhcpd) serve DHCP requests?
-# Separate multiple interfaces with spaces, e.g. "eth0 eth1".
-INTERFACES=""
diff --git a/package/dhcp/init-relay b/package/dhcp/init-relay
index 019a7e84cf..c870ea7f5d 100755
--- a/package/dhcp/init-relay
+++ b/package/dhcp/init-relay
@@ -3,16 +3,25 @@
# $Id: dhcp3-relay,v 1.1 2004/04/16 15:41:08 ml Exp $
#
+
+# What servers should the DHCP relay forward requests to?
+# e.g: SERVERS="192.168.0.1"
+SERVERS=""
+
+# On what interfaces should the DHCP relay (dhrelay) serve DHCP requests?
+INTERFACES=""
+
+# Additional options that are passed to the DHCP relay daemon?
+OPTIONS=""
+
+
+
+
# It is not safe to start if we don't have a default configuration...
-if [ ! -f /etc/default/dhcp-relay ]; then
- echo "/etc/default/dhcp-relay does not exist! - Aborting..."
- echo "create this file to fix the problem."
- exit 1
-fi
+echo "/etc/init.d/dhcp-relay not yet configured! - Aborting..."
+exit 1;
+
-# Read init script configuration (interfaces the daemon should listen on
-# and the DHCP server we should forward requests to.)
-. /etc/default/dhcp-relay
# Build command line for interfaces (will be passed to dhrelay below.)
IFCMD=""
diff --git a/package/dhcp/init-server b/package/dhcp/init-server
index 34c20852b9..7c7f893a14 100755
--- a/package/dhcp/init-server
+++ b/package/dhcp/init-server
@@ -3,17 +3,21 @@
# $Id: dhcp3-server.init.d,v 1.4 2003/07/13 19:12:41 mdz Exp $
#
-test -f /usr/sbin/dhcpd || exit 0
+
+
+# On what interfaces should the DHCP server (dhcpd) serve DHCP requests?
+# Separate multiple interfaces with spaces, e.g. "eth0 eth1".
+INTERFACES=""
+
# It is not safe to start if we don't have a default configuration...
-if [ ! -f /etc/default/dhcp-server ]; then
- echo "/etc/default/dhcp-server does not exist! - Aborting..."
- exit 0
-fi
-
-# Read init script configuration (so far only interfaces the daemon
-# should listen on.)
-. /etc/default/dhcp-server
+echo "/etc/init.d/dhcp-server not yet configured! - Aborting..."
+exit 1;
+
+
+
+test -f /usr/sbin/dhcpd || exit 0
+
case "$1" in
start)
diff --git a/package/tftpd/default-tftpd b/package/tftpd/default-tftpd
deleted file mode 100644
index 1dce7fdfeb..0000000000
--- a/package/tftpd/default-tftpd
+++ /dev/null
@@ -1,3 +0,0 @@
-#Defaults for tftpd-hpa
-RUN_DAEMON="yes"
-OPTIONS="-l -s /var/lib/tftpboot"
diff --git a/package/tftpd/init-tftpd b/package/tftpd/init-tftpd
index e273c11961..7f01462315 100755
--- a/package/tftpd/init-tftpd
+++ b/package/tftpd/init-tftpd
@@ -3,6 +3,17 @@
# Author: Jaakko Niemi <liiwi@iki.fi>
# Modified from skeleton file in sarge
+
+
+
+
+#Defaults for tftpd-hpa
+RUN_DAEMON="yes"
+OPTIONS="-l -s /var/lib/tftpboot"
+
+
+
+
set -e
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
@@ -10,19 +21,14 @@ DESC="HPA's tftpd"
NAME=in.tftpd
DAEMON=/usr/sbin/$NAME
PIDFILE=/var/run/$NAME.pid
-SCRIPTNAME=/etc/init.d/tftpd-hpa
+SCRIPTNAME=/etc/init.d/S80tftpd-hpa
# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0
-# Read config file if it is present.
-if [ -r /etc/default/tftpd-hpa ]
-then
- . /etc/default/tftpd-hpa
-fi
-if [ "$RUN_DAEMON" = "yes" ] ; then
- echo "tftpd-hpa disabled in /etc/default/tftpd-hpa"
+if [ "$RUN_DAEMON" != "yes" ] ; then
+ echo "tftpd-hpa disabled in /etc/init.d/S80tftpd-hpa"
exit 0
fi